
#ifndef LIGHT_H
#define LIGHT_H

#include "common.h"

// a point light
class Light {
public:
  Light():
       pos(0.0f, 0.0f, 0.0f),
       ambient(0.0f, 0.0f, 0.0f),
       diffuse(0.0f, 0.0f, 0.0f),
       specular(0.0f, 0.0f, 0.0f),
       constAtt(1.0f),
       linearAtt(0.0f),
       quadAtt(0.0f) { }

  // light position
  Point3 pos;

  // reflectivities
  RGBColor<float> ambient,
                  diffuse,
                  specular;

  // attenuation
  float constAtt,
        linearAtt,
        quadAtt;
};


#endif
