
#ifndef INTERSECT_H
#define INTERSECT_H

#include <cstddef>
#include "Vector3.h"
#include "Point3.h"
#include "Plane.h"
#include "Ray.h"
#include "AABB.h"


namespace Math3D {

// this is the only function I left here for this project
template<class Real>
bool intersectRaySphere(const Ray<Real> &ray, const Point3<Real> &pos,
                        Real radius, Real *t0, Real *t1);


} // namespace Math3D


#include "intersect.cpp"

#endif
