
#ifndef SKYBOX_H
#define SKYBOX_H

#include "common.h"
#include "Texture2D.h"

class SkyBox {
public:
  SkyBox(const Texture2D *const _textures[6]);

  void intersectRay(const Ray &ray, RGBColor<float> &color) const;
private:
  const Texture2D *textures[6];
};


#endif
