
#ifndef TGAFILE_H
#define TGAFILE_H


class TGAFile {
public:
  TGAFile();
  ~TGAFile();

  void clear();

  inline int getWidth()  const { return width;  }
  inline int getHeight() const { return height; }
  inline int getBPP()    const { return bpp;    }

  inline const unsigned char *getData() const { return data; }

  bool load(const char *filename);
private:
  int width;
  int height;
  int bpp;

  unsigned char *data;
};

#endif
